// tooling
const browserslist = require('browserslist');
const caniuse      = require('caniuse-lite');

// returns browsers supporting a given feature
module.exports = (feature) => {
	const caniuseFeature = caniuse.features[feature];

	if (caniuseFeature) {
		const stats = caniuse.feature(caniuse.features[feature]).stats;

		const results = Object.keys(stats).reduce((browsers, browser) => browsers.concat(
			Object.keys(stats[browser]).filter(version => stats[browser][version] !== 'y').map(version => `${browser} ${version}`)
		), []);

		return results;
	} else {
		return [ '> 0%' ];
	}
};
